For the complete documentation index, see llms.txt. This page is also available as Markdown.

KYC File Submit

KYB verification

Allows users to submit a Know Your Customer (KYC) file(s).

Note:

  • Provide the URLs for accessing specific data in JSON format.

    "urls": {
        "passportFront.jpg": "https://bucketName.region.amazonaws.com/objectKey?signature",
        "passportBack.jpg": "https://bucketName.region.amazonaws.com/objectKey?signature",
        "selfie.jpg": "https://bucketName.region.amazonaws.com/objectKey?signature"
      }
    urls json key according is same as in array from kyc requirements json response.
    {
        "idName": "National ID ",
                    "files": [
                        "idFront1.jpg",
                        "idBack1.jpg",
                        "selfie.jpg"
                    ]
    }
  • Supported Currencies: To view the list of all the fiat currencies supported by Onramp(all countries not supported for this KYC flow), click here.

  • type is the identity type of document. Refer KYC requirements for more details.

  • Do not change type parameter from the initial request.

Know Your Customer (KYC) file submission.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/kyc/submitFiles

Request Body

Name
Type
Description

customerId*

String

unique ID for customer returned from /kyc/url.

type*

Integer

type based on ID type(refer )

urls*

JSON

json containing keys as fileName with extension(idFront1.jpg) and values as url to download that file.

fiatType*

Integer

id associated with the particular country

Send all documents and parameters in the form-data format.

  • status -> 0 is for unsuccessful request, 1 is for a successful one

  • data -> 1 , means successful

Last updated